﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="EmailValidatorDemo.aspx.cs"
    Inherits="NeevSoftware.EmailValidatorDemo._Default1" %>

<!DOCTYPE>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Email Validator 2.0 web demo</title>
    <link href="CSS/StyleSheet.css" rel="stylesheet" type="text/css" />
</head>
<body id="EmailVAlidatorDemo">
    <form id="form1" runat="server">
        <table cellpadding="0" cellspacing="0" style="width: 80%; text-align: center">
            <tr>
                <td colspan="2" align="center" style="width: 100%; text-align: center">
                    <div title="Email Validator Demo For Web" style="width: 100%; text-align: center">
                        <table cellpadding="0" cellspacing="0" style="width: 100%; text-align: center">
                            <tr>
                                <td align="left">
                                    <div id="wrapper">
                                        <div id="header">
                                            <div class="tr">
                                                <div class="br">
                                                    <div class="bl">
                                                        <h1>
                                                            <a id="ctl00_header_HyperLink7" href="EmailValidatorDemo.aspx">
                                                                <img id="ctl00_header_Image1" title="Neev Software" style="border-top-width: 0px; border-left-width: 0px; border-bottom-width: 0px; border-right-width: 0px"
                                                                    src="images/logo.png" /></a></h1>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <table width="25%">
                                        <tr>
                                            <td><a href="http://www.neevsoftware.com/Products/EmailValidator/Email-Validator.aspx">Learn more</a></td>
                                            <td><a href="http://www.neevsoftware.com/Products/EmailValidator/Email-Validator-Purchase.aspx">Purchase</a></td>
                                            <td><a href="http://www.neevsoftware.com/Products/EmailValidator/EULA.aspx">EULA</a></td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td class="auto-style1" style="font-weight: bold; height: 100px; color: white; background-color: #30B2AA; text-align: left;"
                                    height="20" align="left">
                                    <p style="margin-top: 0px; margin-bottom: 0px;">
                                        <b><span style="font-size: 20.0pt; font-family: Arial">Email Validator – .NET
                                            Email Validation component</span></b>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <br />
                                    <table cellpadding="0" cellspacing="0" id="EmailValidatorDemo">
                                        <tr>
                                            <td class="labelColumn">
                                                <span><strong>Email Address:</span>
                                            </td>
                                            <td>
                                                <asp:TextBox ID="Address" runat="server"></asp:TextBox>
                                                <asp:Button ID="CheckEmail" CssClass="input-submit" runat="server" Text="Validate"
                                                    OnClick="CheckEmail_Click" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <span><strong>Options:</strong></span>
                                            </td>
                                            <td>
                                                <asp:LinkButton ID="LinkButton1" OnClick="LinkButton1_Click" runat="server">Show</asp:LinkButton>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td>
                                                <br />
                                                <asp:Panel ID="Panel1" runat="server" Visible="False" HorizontalAlign="Center">
                                                    <div>
                                                        <table cellpadding="0" cellspacing="0">
                                                            <tr>
                                                                <td>
                                                                    <span><strong>&nbsp;Email Syntax:</strong></span>
                                                                </td>
                                                                <td>
                                                                    <asp:TextBox ID="txtSysntexPattern" runat="server" Enabled="false"
                                                                        TextMode="MultiLine" Width="367px">(?&lt;user&gt;^([a-zA-Z][a-zA-Z0-9_\-\.]+[a-zA-Z0-9_]))@(?&lt;host&gt;((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$)</asp:TextBox>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <span><strong>&nbsp;Validation Level: </strong></span>
                                                                </td>
                                                                <td>
                                                                    <asp:DropDownList ID="cmbValidationLevel" runat="server">
                                                                        <asp:ListItem Value="0">Syntax</asp:ListItem>
                                                                        <asp:ListItem Value="1">MX Records</asp:ListItem>
                                                                        <asp:ListItem Value="2">SMTP</asp:ListItem>
                                                                        <asp:ListItem Selected="True" Value="3">MailBox</asp:ListItem>
                                                                    </asp:DropDownList>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <span><strong>Use MX Cache:</strong></span>
                                                                </td>
                                                                <td>
                                                                    <asp:CheckBox ID="chkUseMXCach" runat="server" Checked="False" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <span><strong>MX Cach Timeout: </strong></span>
                                                                </td>
                                                                <td>
                                                                    <asp:TextBox Width="24px" ID="txtMXTimeOut" runat="server" Enabled="False" ForeColor="Gray">30</asp:TextBox>
                                                                    <asp:Label ID="Label1" runat="server" Text="Min"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <span><strong>SMTP From Domain:</strong></span>
                                                                </td>
                                                                <td>
                                                                    <asp:TextBox ID="txtSMTPDomain" runat="server">mail.neevsoftware.com</asp:TextBox>
                                                                    <br />
                                                                    (Update to valid SMTP server if default does not work)
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <span><strong>SMTP From Mail:</strong></span>
                                                                </td>
                                                                <td>
                                                                    <asp:TextBox ID="txtSMTPFromMail" runat="server">contact@neevsoftware.com</asp:TextBox>
                                                                    <br />
                                                                    (Update to valid from email address if default does not work)
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <span><strong>SMTP Timeout:</strong></span>
                                                                </td>
                                                                <td>
                                                                    <asp:TextBox ID="txtSMTPTimeOut" runat="server"
                                                                        Width="24px">30</asp:TextBox>
                                                                    <asp:Label ID="Sec" runat="server" Text="Sec"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <span><strong>DNS Server:</strong></span>
                                                                </td>
                                                                <td>
                                                                    <asp:TextBox ID="txtDNSServer" runat="server" Width="125px"></asp:TextBox>
                                                                    <span><strong>(optional)</strong></span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </div>
                                                </asp:Panel>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <span><strong>Results:</strong></span>
                                            </td>
                                            <td>
                                                <asp:Label ID="lblResult" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <span><strong>Validation Log:</strong></span>
                                            </td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td>
                                                <asp:Label ID="lblValidationLog" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                    </table>
                                    <br />
                        </table>
                    </div>
                    <br />
                </td>
            </tr>
        </table>
    </form>
</body>
</html>
